/* Imgly Statistics javascript events */

(function ($) {
  "use strict";

  Drupal.behaviors.imgly_stats = {
    attach: function(context, settings) {
      var data = 'nid=' + settings.imgly.nid + '&token=' + settings.imgly.token;

      // Log a view event and get total number of views and downloads.
      $.post('/js/imgly/view', data, function(response) {
        if (response.ok && response.ok === true) {
          var stats = '<div class="imgly-stats-views">Views <span>' + response.views + '</span></div>';
          stats += '<div class="imgly-stats-downloads">Downloads <span>' + response.downloads + '</span></div>';

          $('.imgly-stats', context).append(stats);
        }
      }, 'json');

      // Increment download counter when link is activated.
      if (settings.imgly.download) {
        $('a.imgly_download_link', context).click(function() {
          $.ajax({
            async: false,
            cache: false,
            data: data,
            dataType: 'json',
            type: 'post',
            url: '/js/imgly/download',
          });

          return true;
        });
      }
    }
  };
}(jQuery));