<?php
/**
 * @file
 * Imgly's theme implementation to display an image node.
 *
 * Additional variables available are:
 *  - $imgly_image string rendered markup the the image to be displayed.
 *  - $imgly_download string rendered link to download the image.
 *  - $imgly_description string contents of the node's description field.
 */
?>
<div id="node-<?php print $node->nid; ?>" class="<?php print $classes; ?> clearfix"<?php print $attributes; ?>>

  <?php if ($page): ?>

    <div class="imgly-image">
      <?php print render($content['field_imgly_image']); ?>
    </div>

    <div class="imgly-footer clearfix">

      <div class="imgly-title-description">

        <h2 class="imgly-title"><?php print $title; ?></h2>

        <div class="imgly-description">
          <?php print render($content['field_imgly_description']); ?>
        </div>

        <?php // Hide image and description, we've rendered these ourselves. ?>
        <?php hide($content['field_imgly_image']); ?>
        <?php hide($content['field_imgly_description']); ?>

        <?php // Render any other fields added by the user. ?>
        <?php print render($content); ?>

      </div> <!-- /.imgly-title-description -->

      <div class="imgly-meta">

        <?php if ($display_submitted): ?>
          <div class="meta submitted">
            <?php print $submitted; ?>
          </div>
        <?php endif; ?>

        <?php if (module_exists('imgly_stats')): ?>
          <?php // Create placeholder element for stats to be added to via AJAX.  ?>
          <div class="imgly-stats"></div>
        <?php endif; ?>

      </div> <!-- /.imgly-meta -->

    </div> <!-- /.imgly-footer -->

  <?php else: ?>
    <?php print render($title_prefix); ?>
    <h2<?php print $title_attributes; ?>>
      <a href="<?php print $node_url; ?>"><?php print $title; ?></a>
    </h2>
    <?php print render($title_suffix); ?>

    <?php if ($display_submitted): ?>
      <div class="meta submitted">
        <?php print $submitted; ?>
      </div>
    <?php endif; ?>

    <div class="content clearfix"<?php print $content_attributes; ?>>
      <?php
      // We hide the comments and links now so that we can render them later.
      hide($content['comments']);
      hide($content['links']);
      print render($content);
      ?>
    </div>

  <?php endif; ?>

</div>